<?xml version="1.0" encoding="us-ascii"?>
<!-- DFIN ActiveDisclosure(SM) XBRL Linkbase Document - http://www.dfinsolutions.com/ -->
<!-- Creation Date      : 2022-08-03T19:39:45.6368563+00:00 -->
<!-- Version            : 5.0.1.747 -->
<!-- Package ID         : bd8352ae86f349f4a2a4b0926461bcba -->
<!-- Copyright (c) 2022 Donnelley Financial Solutions, Inc. All Rights Reserved. -->
<link:linkbase xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd">
  <link:roleRef xlink:type="simple" xlink:href="icfi-20220630.xsd#TemplateLink" roleURI="http://www.icf.com/20220630/role/TemplateLink" />
  <link:roleRef roleURI="http://www.icf.com/20220630/taxonomy/role/StatementCONSOLIDATEDBALANCESHEETSUNAUDITED" xlink:href="icfi-20220630.xsd#Role_StatementCONSOLIDATEDBALANCESHEETSUNAUDITED" xlink:type="simple" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.icf.com/20220630/taxonomy/role/StatementCONSOLIDATEDBALANCESHEETSUNAUDITED">
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncomeTaxesReceivable" xlink:type="locator" xlink:label="us-gaap_IncomeTaxesReceivable" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PrepaidExpenseAndOtherAssetsCurrent" xlink:type="locator" xlink:label="us-gaap_PrepaidExpenseAndOtherAssetsCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ContractWithCustomerAssetNetCurrent" xlink:type="locator" xlink:label="us-gaap_ContractWithCustomerAssetNetCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AccountsReceivableNetCurrent" xlink:type="locator" xlink:label="us-gaap_AccountsReceivableNetCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RestrictedCashCurrent" xlink:type="locator" xlink:label="us-gaap_RestrictedCashCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CashAndCashEquivalentsAtCarryingValue" xlink:type="locator" xlink:label="us-gaap_CashAndCashEquivalentsAtCarryingValue" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherAssetsNoncurrent" xlink:type="locator" xlink:label="us-gaap_OtherAssetsNoncurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingLeaseRightOfUseAsset" xlink:type="locator" xlink:label="us-gaap_OperatingLeaseRightOfUseAsset" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IntangibleAssetsNetExcludingGoodwill" xlink:type="locator" xlink:label="us-gaap_IntangibleAssetsNetExcludingGoodwill" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_Goodwill" xlink:type="locator" xlink:label="us-gaap_Goodwill" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PropertyPlantAndEquipmentNet" xlink:type="locator" xlink:label="us-gaap_PropertyPlantAndEquipmentNet" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AssetsCurrent" xlink:type="locator" xlink:label="us-gaap_AssetsCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_Assets" xlink:type="locator" xlink:label="us-gaap_Assets" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AccruedLiabilitiesAndOtherLiabilities" xlink:type="locator" xlink:label="us-gaap_AccruedLiabilitiesAndOtherLiabilities" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_AccruedSubcontractorAndOtherDirectCosts" xlink:type="locator" xlink:label="icfi_AccruedSubcontractorAndOtherDirectCosts" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_EmployeeRelatedLiabilitiesCurrent" xlink:type="locator" xlink:label="us-gaap_EmployeeRelatedLiabilitiesCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingLeaseLiabilityCurrent" xlink:type="locator" xlink:label="us-gaap_OperatingLeaseLiabilityCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ContractWithCustomerLiabilityCurrent" xlink:type="locator" xlink:label="us-gaap_ContractWithCustomerLiabilityCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AccountsPayableCurrent" xlink:type="locator" xlink:label="us-gaap_AccountsPayableCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LongTermDebtCurrent" xlink:type="locator" xlink:label="us-gaap_LongTermDebtCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherLiabilitiesNoncurrent" xlink:type="locator" xlink:label="us-gaap_OtherLiabilitiesNoncurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DeferredIncomeTaxLiabilitiesNet" xlink:type="locator" xlink:label="us-gaap_DeferredIncomeTaxLiabilitiesNet" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingLeaseLiabilityNoncurrent" xlink:type="locator" xlink:label="us-gaap_OperatingLeaseLiabilityNoncurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LongTermDebtNoncurrent" xlink:type="locator" xlink:label="us-gaap_LongTermDebtNoncurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LiabilitiesCurrent" xlink:type="locator" xlink:label="us-gaap_LiabilitiesCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax" xlink:type="locator" xlink:label="us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_TreasuryStockValue" xlink:type="locator" xlink:label="us-gaap_TreasuryStockValue" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RetainedEarningsAccumulatedDeficit" xlink:type="locator" xlink:label="us-gaap_RetainedEarningsAccumulatedDeficit" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AdditionalPaidInCapitalCommonStock" xlink:type="locator" xlink:label="us-gaap_AdditionalPaidInCapitalCommonStock" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CommonStockValue" xlink:type="locator" xlink:label="us-gaap_CommonStockValue" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PreferredStockValue" xlink:type="locator" xlink:label="us-gaap_PreferredStockValue" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_StockholdersEquity" xlink:type="locator" xlink:label="us-gaap_StockholdersEquity" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CommitmentsAndContingencies" xlink:type="locator" xlink:label="us-gaap_CommitmentsAndContingencies" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_Liabilities" xlink:type="locator" xlink:label="us-gaap_Liabilities" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LiabilitiesAndStockholdersEquity" xlink:type="locator" xlink:label="us-gaap_LiabilitiesAndStockholdersEquity" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesAndStockholdersEquity" xlink:to="us-gaap_Liabilities" order="10010.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesAndStockholdersEquity" xlink:to="us-gaap_CommitmentsAndContingencies" order="10020.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesAndStockholdersEquity" xlink:to="us-gaap_StockholdersEquity" order="10030.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_StockholdersEquity" xlink:to="us-gaap_PreferredStockValue" order="10040.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_StockholdersEquity" xlink:to="us-gaap_CommonStockValue" order="10050.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_StockholdersEquity" xlink:to="us-gaap_AdditionalPaidInCapitalCommonStock" order="10060.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_StockholdersEquity" xlink:to="us-gaap_RetainedEarningsAccumulatedDeficit" order="10070.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_StockholdersEquity" xlink:to="us-gaap_TreasuryStockValue" order="10080.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_StockholdersEquity" xlink:to="us-gaap_AccumulatedOtherComprehensiveIncomeLossNetOfTax" order="10090.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities" xlink:to="us-gaap_LiabilitiesCurrent" order="10100.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities" xlink:to="us-gaap_LongTermDebtNoncurrent" order="10110.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities" xlink:to="us-gaap_OperatingLeaseLiabilityNoncurrent" order="10120.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities" xlink:to="us-gaap_DeferredIncomeTaxLiabilitiesNet" order="10130.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Liabilities" xlink:to="us-gaap_OtherLiabilitiesNoncurrent" order="10140.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesCurrent" xlink:to="us-gaap_LongTermDebtCurrent" order="10150.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesCurrent" xlink:to="us-gaap_AccountsPayableCurrent" order="10160.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesCurrent" xlink:to="us-gaap_ContractWithCustomerLiabilityCurrent" order="10170.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesCurrent" xlink:to="us-gaap_OperatingLeaseLiabilityCurrent" order="10180.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesCurrent" xlink:to="us-gaap_EmployeeRelatedLiabilitiesCurrent" order="10190.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesCurrent" xlink:to="icfi_AccruedSubcontractorAndOtherDirectCosts" order="10200.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LiabilitiesCurrent" xlink:to="us-gaap_AccruedLiabilitiesAndOtherLiabilities" order="10210.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_AssetsCurrent" order="10220.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_PropertyPlantAndEquipmentNet" order="10230.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_Goodwill" order="10240.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_IntangibleAssetsNetExcludingGoodwill" order="10250.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_OperatingLeaseRightOfUseAsset" order="10260.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_Assets" xlink:to="us-gaap_OtherAssetsNoncurrent" order="10270.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AssetsCurrent" xlink:to="us-gaap_CashAndCashEquivalentsAtCarryingValue" order="10280.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AssetsCurrent" xlink:to="us-gaap_RestrictedCashCurrent" order="10290.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AssetsCurrent" xlink:to="us-gaap_AccountsReceivableNetCurrent" order="10300.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AssetsCurrent" xlink:to="us-gaap_ContractWithCustomerAssetNetCurrent" order="10310.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AssetsCurrent" xlink:to="us-gaap_PrepaidExpenseAndOtherAssetsCurrent" order="10320.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AssetsCurrent" xlink:to="us-gaap_IncomeTaxesReceivable" order="10330.00" priority="2" use="optional" weight="1.00" />
  </link:calculationLink>
  <link:roleRef roleURI="http://www.icf.com/20220630/taxonomy/role/StatementCONSOLIDATEDSTATEMENTSOFCOMPREHENSIVEINCOMEUNAUDITED" xlink:href="icfi-20220630.xsd#Role_StatementCONSOLIDATEDSTATEMENTSOFCOMPREHENSIVEINCOMEUNAUDITED" xlink:type="simple" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.icf.com/20220630/taxonomy/role/StatementCONSOLIDATEDSTATEMENTSOFCOMPREHENSIVEINCOMEUNAUDITED">
    <link:loc xlink:href="icfi-20220630.xsd#icfi_AmortizationOfIntangibleAsset" xlink:type="locator" xlink:label="icfi_AmortizationOfIntangibleAsset" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DepreciationAndAmortization" xlink:type="locator" xlink:label="us-gaap_DepreciationAndAmortization" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_SellingGeneralAndAdministrativeExpense" xlink:type="locator" xlink:label="us-gaap_SellingGeneralAndAdministrativeExpense" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingExpenses" xlink:type="locator" xlink:label="us-gaap_OperatingExpenses" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CostOfGoodsAndServicesSold" xlink:type="locator" xlink:label="us-gaap_CostOfGoodsAndServicesSold" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax" xlink:type="locator" xlink:label="us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherNonoperatingIncomeExpense" xlink:type="locator" xlink:label="us-gaap_OtherNonoperatingIncomeExpense" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestExpense" xlink:type="locator" xlink:label="us-gaap_InterestExpense" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingIncomeLoss" xlink:type="locator" xlink:label="us-gaap_OperatingIncomeLoss" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncomeTaxExpenseBenefit" xlink:type="locator" xlink:label="us-gaap_IncomeTaxExpenseBenefit" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:type="locator" xlink:label="us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" xlink:type="locator" xlink:label="us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetIncomeLoss" xlink:type="locator" xlink:label="us-gaap_NetIncomeLoss" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ComprehensiveIncomeNetOfTax" xlink:type="locator" xlink:label="us-gaap_ComprehensiveIncomeNetOfTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_ComprehensiveIncomeNetOfTax" xlink:to="us-gaap_NetIncomeLoss" order="10010.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_ComprehensiveIncomeNetOfTax" xlink:to="us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" order="10020.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLoss" xlink:to="us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" order="10030.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetIncomeLoss" xlink:to="us-gaap_IncomeTaxExpenseBenefit" order="10040.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:to="us-gaap_OperatingIncomeLoss" order="10050.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:to="us-gaap_InterestExpense" order="10060.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_IncomeLossFromContinuingOperationsBeforeIncomeTaxesExtraordinaryItemsNoncontrollingInterest" xlink:to="us-gaap_OtherNonoperatingIncomeExpense" order="10070.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingIncomeLoss" xlink:to="us-gaap_RevenueFromContractWithCustomerExcludingAssessedTax" order="10080.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingIncomeLoss" xlink:to="us-gaap_CostOfGoodsAndServicesSold" order="10090.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingIncomeLoss" xlink:to="us-gaap_OperatingExpenses" order="10100.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingExpenses" xlink:to="us-gaap_SellingGeneralAndAdministrativeExpense" order="10110.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingExpenses" xlink:to="us-gaap_DepreciationAndAmortization" order="10120.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingExpenses" xlink:to="icfi_AmortizationOfIntangibleAsset" order="10130.00" priority="2" use="optional" weight="1.00" />
  </link:calculationLink>
  <link:roleRef roleURI="http://www.icf.com/20220630/taxonomy/role/StatementCONSOLIDATEDSTATEMENTSOFCASHFLOWSUNAUDITED" xlink:href="icfi-20220630.xsd#Role_StatementCONSOLIDATEDSTATEMENTSOFCASHFLOWSUNAUDITED" xlink:type="simple" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.icf.com/20220630/taxonomy/role/StatementCONSOLIDATEDSTATEMENTSOFCASHFLOWSUNAUDITED">
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInOtherOperatingLiabilities" xlink:type="locator" xlink:label="us-gaap_IncreaseDecreaseInOtherOperatingLiabilities" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInIncomeTaxesPayableNetOfIncomeTaxesReceivable" xlink:type="locator" xlink:label="us-gaap_IncreaseDecreaseInIncomeTaxesPayableNetOfIncomeTaxesReceivable" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInAccruedLiabilitiesAndOtherOperatingLiabilities" xlink:type="locator" xlink:label="us-gaap_IncreaseDecreaseInAccruedLiabilitiesAndOtherOperatingLiabilities" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_IncreaseDecreaseInAccruedSubcontractorAndOtherDirectCosts" xlink:type="locator" xlink:label="icfi_IncreaseDecreaseInAccruedSubcontractorAndOtherDirectCosts" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInEmployeeRelatedLiabilities" xlink:type="locator" xlink:label="us-gaap_IncreaseDecreaseInEmployeeRelatedLiabilities" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInAccountsPayable" xlink:type="locator" xlink:label="us-gaap_IncreaseDecreaseInAccountsPayable" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_IncreaseDecreaseInOperatingLeaseAssetsAndLiabilities" xlink:type="locator" xlink:label="icfi_IncreaseDecreaseInOperatingLeaseAssetsAndLiabilities" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets" xlink:type="locator" xlink:label="us-gaap_IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInReceivables" xlink:type="locator" xlink:label="us-gaap_IncreaseDecreaseInReceivables" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInCommodityContractAssetsAndLiabilities" xlink:type="locator" xlink:label="us-gaap_IncreaseDecreaseInCommodityContractAssetsAndLiabilities" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherNoncashIncomeExpense" xlink:type="locator" xlink:label="us-gaap_OtherNoncashIncomeExpense" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ImpairmentOfLongLivedAssetsHeldForUse" xlink:type="locator" xlink:label="us-gaap_ImpairmentOfLongLivedAssetsHeldForUse" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AmortizationOfFinancingCosts" xlink:type="locator" xlink:label="us-gaap_AmortizationOfFinancingCosts" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_FacilitiesConsolidationReserve" xlink:type="locator" xlink:label="icfi_FacilitiesConsolidationReserve" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DepreciationDepletionAndAmortization" xlink:type="locator" xlink:label="us-gaap_DepreciationDepletionAndAmortization" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ShareBasedCompensation" xlink:type="locator" xlink:label="us-gaap_ShareBasedCompensation" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncreaseDecreaseInDeferredIncomeTaxes" xlink:type="locator" xlink:label="us-gaap_IncreaseDecreaseInDeferredIncomeTaxes" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_RecoveryOfProvisionForCreditLosses" xlink:type="locator" xlink:label="icfi_RecoveryOfProvisionForCreditLosses" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProfitLoss" xlink:type="locator" xlink:label="us-gaap_ProfitLoss" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProceedsFromPreviousAcquisition" xlink:type="locator" xlink:label="us-gaap_ProceedsFromPreviousAcquisition" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PaymentsToAcquireProductiveAssets" xlink:type="locator" xlink:label="us-gaap_PaymentsToAcquireProductiveAssets" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_PaymentsOnBusinessAcquisitionLiabilities" xlink:type="locator" xlink:label="icfi_PaymentsOnBusinessAcquisitionLiabilities" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PaymentsForRepurchaseOfEquity" xlink:type="locator" xlink:label="us-gaap_PaymentsForRepurchaseOfEquity" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PaymentsOfDividendsCommonStock" xlink:type="locator" xlink:label="us-gaap_PaymentsOfDividendsCommonStock" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProceedsFromStockOptionsExercised" xlink:type="locator" xlink:label="us-gaap_ProceedsFromStockOptionsExercised" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_PaymentsOfDebtIssuanceCosts" xlink:type="locator" xlink:label="us-gaap_PaymentsOfDebtIssuanceCosts" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_RepaymentsOfRestrictedContractFunds" xlink:type="locator" xlink:label="icfi_RepaymentsOfRestrictedContractFunds" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_ProceedsFromRestrictedContractFunds" xlink:type="locator" xlink:label="icfi_ProceedsFromRestrictedContractFunds" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RepaymentsOfLongTermDebt" xlink:type="locator" xlink:label="us-gaap_RepaymentsOfLongTermDebt" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ProceedsFromBankDebt" xlink:type="locator" xlink:label="us-gaap_ProceedsFromBankDebt" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_EffectOfExchangeRateOnCashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsIncludingDisposalGroupAndDiscontinuedOperations" xlink:type="locator" xlink:label="us-gaap_EffectOfExchangeRateOnCashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsIncludingDisposalGroupAndDiscontinuedOperations" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:type="locator" xlink:label="us-gaap_NetCashProvidedByUsedInFinancingActivities" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetCashProvidedByUsedInInvestingActivities" xlink:type="locator" xlink:label="us-gaap_NetCashProvidedByUsedInInvestingActivities" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:type="locator" xlink:label="us-gaap_NetCashProvidedByUsedInOperatingActivities" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect" xlink:type="locator" xlink:label="us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect" xlink:to="us-gaap_NetCashProvidedByUsedInOperatingActivities" order="10010.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect" xlink:to="us-gaap_NetCashProvidedByUsedInInvestingActivities" order="10020.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect" xlink:to="us-gaap_NetCashProvidedByUsedInFinancingActivities" order="10030.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsPeriodIncreaseDecreaseIncludingExchangeRateEffect" xlink:to="us-gaap_EffectOfExchangeRateOnCashCashEquivalentsRestrictedCashAndRestrictedCashEquivalentsIncludingDisposalGroupAndDiscontinuedOperations" order="10040.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:to="us-gaap_ProceedsFromBankDebt" order="10050.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:to="us-gaap_RepaymentsOfLongTermDebt" order="10060.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:to="icfi_ProceedsFromRestrictedContractFunds" order="10070.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:to="icfi_RepaymentsOfRestrictedContractFunds" order="10080.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:to="us-gaap_PaymentsOfDebtIssuanceCosts" order="10090.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:to="us-gaap_ProceedsFromStockOptionsExercised" order="10100.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:to="us-gaap_PaymentsOfDividendsCommonStock" order="10110.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:to="us-gaap_PaymentsForRepurchaseOfEquity" order="10120.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInFinancingActivities" xlink:to="icfi_PaymentsOnBusinessAcquisitionLiabilities" order="10130.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInInvestingActivities" xlink:to="us-gaap_PaymentsToAcquireProductiveAssets" order="10140.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInInvestingActivities" xlink:to="us-gaap_ProceedsFromPreviousAcquisition" order="10150.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_ProfitLoss" order="10160.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="icfi_RecoveryOfProvisionForCreditLosses" order="10170.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_IncreaseDecreaseInDeferredIncomeTaxes" order="10180.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_ShareBasedCompensation" order="10190.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_DepreciationDepletionAndAmortization" order="10200.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="icfi_FacilitiesConsolidationReserve" order="10210.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_AmortizationOfFinancingCosts" order="10220.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_ImpairmentOfLongLivedAssetsHeldForUse" order="10230.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_OtherNoncashIncomeExpense" order="10240.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_IncreaseDecreaseInCommodityContractAssetsAndLiabilities" order="10250.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_IncreaseDecreaseInReceivables" order="10260.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_IncreaseDecreaseInPrepaidDeferredExpenseAndOtherAssets" order="10270.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="icfi_IncreaseDecreaseInOperatingLeaseAssetsAndLiabilities" order="10280.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_IncreaseDecreaseInAccountsPayable" order="10290.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_IncreaseDecreaseInEmployeeRelatedLiabilities" order="10300.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="icfi_IncreaseDecreaseInAccruedSubcontractorAndOtherDirectCosts" order="10310.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_IncreaseDecreaseInAccruedLiabilitiesAndOtherOperatingLiabilities" order="10320.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_IncreaseDecreaseInIncomeTaxesPayableNetOfIncomeTaxesReceivable" order="10330.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_NetCashProvidedByUsedInOperatingActivities" xlink:to="us-gaap_IncreaseDecreaseInOtherOperatingLiabilities" order="10340.00" priority="2" use="optional" weight="1.00" />
  </link:calculationLink>
  <link:roleRef roleURI="http://www.icf.com/20220630/taxonomy/role/DisclosureRestrictedCashReconciliationOfCashAndCashEquivalentsAndRestrictedCashToTotalOfCashCashEquivalentsAndRestrictedCashDetails" xlink:href="icfi-20220630.xsd#Role_DisclosureRestrictedCashReconciliationOfCashAndCashEquivalentsAndRestrictedCashToTotalOfCashCashEquivalentsAndRestrictedCashDetails" xlink:type="simple" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.icf.com/20220630/taxonomy/role/DisclosureRestrictedCashReconciliationOfCashAndCashEquivalentsAndRestrictedCashToTotalOfCashCashEquivalentsAndRestrictedCashDetails">
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_RestrictedCashCurrent" xlink:type="locator" xlink:label="us-gaap_RestrictedCashCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CashAndCashEquivalentsAtCarryingValue" xlink:type="locator" xlink:label="us-gaap_CashAndCashEquivalentsAtCarryingValue" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents" xlink:type="locator" xlink:label="us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents" xlink:to="us-gaap_CashAndCashEquivalentsAtCarryingValue" order="10010.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_CashCashEquivalentsRestrictedCashAndRestrictedCashEquivalents" xlink:to="us-gaap_RestrictedCashCurrent" order="10020.00" priority="2" use="optional" weight="1.00" />
  </link:calculationLink>
  <link:roleRef roleURI="http://www.icf.com/20220630/taxonomy/role/DisclosureContractReceivablesNetSummaryOfContractReceivablesNetDetails" xlink:href="icfi-20220630.xsd#Role_DisclosureContractReceivablesNetSummaryOfContractReceivablesNetDetails" xlink:type="simple" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.icf.com/20220630/taxonomy/role/DisclosureContractReceivablesNetSummaryOfContractReceivablesNetDetails">
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AllowanceForDoubtfulAccountsReceivableCurrent" xlink:type="locator" xlink:label="us-gaap_AllowanceForDoubtfulAccountsReceivableCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AccountsReceivableGrossCurrent" xlink:type="locator" xlink:label="us-gaap_AccountsReceivableGrossCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AccountsReceivableNetCurrent" xlink:type="locator" xlink:label="us-gaap_AccountsReceivableNetCurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccountsReceivableNetCurrent" xlink:to="us-gaap_AccountsReceivableGrossCurrent" order="10010.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccountsReceivableNetCurrent" xlink:to="us-gaap_AllowanceForDoubtfulAccountsReceivableCurrent" order="10020.00" priority="2" use="optional" weight="-1.00" />
  </link:calculationLink>
  <link:roleRef roleURI="http://www.icf.com/20220630/taxonomy/role/DisclosureLeasesSummaryOfLeaseCostDetails" xlink:href="icfi-20220630.xsd#Role_DisclosureLeasesSummaryOfLeaseCostDetails" xlink:type="simple" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.icf.com/20220630/taxonomy/role/DisclosureLeasesSummaryOfLeaseCostDetails">
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_SubleaseIncome" xlink:type="locator" xlink:label="us-gaap_SubleaseIncome" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_VariableLeaseCostBenefit" xlink:type="locator" xlink:label="icfi_VariableLeaseCostBenefit" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ShortTermLeaseCost" xlink:type="locator" xlink:label="us-gaap_ShortTermLeaseCost" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingLeaseCost" xlink:type="locator" xlink:label="us-gaap_OperatingLeaseCost" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LeaseCost" xlink:type="locator" xlink:label="us-gaap_LeaseCost" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LeaseCost" xlink:to="us-gaap_OperatingLeaseCost" order="10010.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LeaseCost" xlink:to="us-gaap_ShortTermLeaseCost" order="10020.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LeaseCost" xlink:to="icfi_VariableLeaseCostBenefit" order="10030.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LeaseCost" xlink:to="us-gaap_SubleaseIncome" order="10040.00" priority="2" use="optional" weight="-1.00" />
  </link:calculationLink>
  <link:roleRef roleURI="http://www.icf.com/20220630/taxonomy/role/DisclosureLeasesSummaryOfFutureMinimumLeasePaymentsUnderNonCancellableLeasesDetails" xlink:href="icfi-20220630.xsd#Role_DisclosureLeasesSummaryOfFutureMinimumLeasePaymentsUnderNonCancellableLeasesDetails" xlink:type="simple" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.icf.com/20220630/taxonomy/role/DisclosureLeasesSummaryOfFutureMinimumLeasePaymentsUnderNonCancellableLeasesDetails">
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueAfterRollingYearFive" xlink:type="locator" xlink:label="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueAfterRollingYearFive" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueInRollingYearFive" xlink:type="locator" xlink:label="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueInRollingYearFive" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueInRollingYearFour" xlink:type="locator" xlink:label="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueInRollingYearFour" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueInRollingYearThree" xlink:type="locator" xlink:label="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueInRollingYearThree" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueInRollingYearTwo" xlink:type="locator" xlink:label="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueInRollingYearTwo" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueNextRollingTwelveMonths" xlink:type="locator" xlink:label="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueNextRollingTwelveMonths" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:type="locator" xlink:label="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingLeaseLiabilityNoncurrent" xlink:type="locator" xlink:label="us-gaap_OperatingLeaseLiabilityNoncurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingLeaseLiabilityCurrent" xlink:type="locator" xlink:label="us-gaap_OperatingLeaseLiabilityCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingLeaseLiability" xlink:type="locator" xlink:label="us-gaap_OperatingLeaseLiability" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingLeaseLiability" xlink:to="us-gaap_OperatingLeaseLiabilityCurrent" order="10010.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OperatingLeaseLiability" xlink:to="us-gaap_OperatingLeaseLiabilityNoncurrent" order="10020.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:to="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueNextRollingTwelveMonths" order="10030.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:to="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueInRollingYearTwo" order="10040.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:to="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueInRollingYearThree" order="10050.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:to="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueInRollingYearFour" order="10060.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:to="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueInRollingYearFive" order="10070.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:to="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDueAfterRollingYearFive" order="10080.00" priority="2" use="optional" weight="1.00" />
  </link:calculationLink>
  <link:roleRef roleURI="http://www.icf.com/20220630/taxonomy/role/DisclosureLeasesSummaryOfFutureMinimumLeasePaymentsUnderNonCancellableLeasesDetails2" xlink:href="icfi-20220630.xsd#Role_DisclosureLeasesSummaryOfFutureMinimumLeasePaymentsUnderNonCancellableLeasesDetails2" xlink:type="simple" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.icf.com/20220630/taxonomy/role/DisclosureLeasesSummaryOfFutureMinimumLeasePaymentsUnderNonCancellableLeasesDetails2">
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OperatingLeaseLiability" xlink:type="locator" xlink:label="us-gaap_OperatingLeaseLiability" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LesseeOperatingLeaseLiabilityUndiscountedExcessAmount" xlink:type="locator" xlink:label="us-gaap_LesseeOperatingLeaseLiabilityUndiscountedExcessAmount" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:type="locator" xlink:label="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:to="us-gaap_LesseeOperatingLeaseLiabilityUndiscountedExcessAmount" order="10010.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LesseeOperatingLeaseLiabilityPaymentsDue" xlink:to="us-gaap_OperatingLeaseLiability" order="10020.00" priority="2" use="optional" weight="1.00" />
  </link:calculationLink>
  <link:roleRef roleURI="http://www.icf.com/20220630/taxonomy/role/DisclosureAccruedExpensesAndOtherCurrentLiabilitiesScheduleOfAccruedExpensesAndOtherCurrentLiabilitiesDetails" xlink:href="icfi-20220630.xsd#Role_DisclosureAccruedExpensesAndOtherCurrentLiabilitiesScheduleOfAccruedExpensesAndOtherCurrentLiabilitiesDetails" xlink:type="simple" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.icf.com/20220630/taxonomy/role/DisclosureAccruedExpensesAndOtherCurrentLiabilitiesScheduleOfAccruedExpensesAndOtherCurrentLiabilitiesDetails">
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherAccruedLiabilitiesCurrent" xlink:type="locator" xlink:label="us-gaap_OtherAccruedLiabilitiesCurrent" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_ForwardContractAgreementsLiabilityCurrent" xlink:type="locator" xlink:label="icfi_ForwardContractAgreementsLiabilityCurrent" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_InterestRateSwapLiabilityCurrent" xlink:type="locator" xlink:label="icfi_InterestRateSwapLiabilityCurrent" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_AccruedContingentAndContractualLiabilitiesCurrentFromAcquisitions" xlink:type="locator" xlink:label="icfi_AccruedContingentAndContractualLiabilitiesCurrentFromAcquisitions" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DividendsPayableCurrent" xlink:type="locator" xlink:label="us-gaap_DividendsPayableCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AccruedProfessionalFeesCurrent" xlink:type="locator" xlink:label="us-gaap_AccruedProfessionalFeesCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_InterestPayableCurrent" xlink:type="locator" xlink:label="us-gaap_InterestPayableCurrent" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_AccruedFacilitiesRentalAndLeaseExitCostsCurrent" xlink:type="locator" xlink:label="icfi_AccruedFacilitiesRentalAndLeaseExitCostsCurrent" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_AccruedTaxesAndInsurancePremiumsCurrent" xlink:type="locator" xlink:label="icfi_AccruedTaxesAndInsurancePremiumsCurrent" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_AccruedInformationTechnologyAndSoftwareLicensingCostsCurrent" xlink:type="locator" xlink:label="icfi_AccruedInformationTechnologyAndSoftwareLicensingCostsCurrent" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_RestrictedContractFunds" xlink:type="locator" xlink:label="icfi_RestrictedContractFunds" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DepositLiabilityCurrent" xlink:type="locator" xlink:label="us-gaap_DepositLiabilityCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_AccruedLiabilitiesCurrent" xlink:type="locator" xlink:label="us-gaap_AccruedLiabilitiesCurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccruedLiabilitiesCurrent" xlink:to="us-gaap_DepositLiabilityCurrent" order="10010.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccruedLiabilitiesCurrent" xlink:to="icfi_RestrictedContractFunds" order="10020.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccruedLiabilitiesCurrent" xlink:to="icfi_AccruedInformationTechnologyAndSoftwareLicensingCostsCurrent" order="10030.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccruedLiabilitiesCurrent" xlink:to="icfi_AccruedTaxesAndInsurancePremiumsCurrent" order="10040.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccruedLiabilitiesCurrent" xlink:to="icfi_AccruedFacilitiesRentalAndLeaseExitCostsCurrent" order="10050.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccruedLiabilitiesCurrent" xlink:to="us-gaap_InterestPayableCurrent" order="10060.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccruedLiabilitiesCurrent" xlink:to="us-gaap_AccruedProfessionalFeesCurrent" order="10070.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccruedLiabilitiesCurrent" xlink:to="us-gaap_DividendsPayableCurrent" order="10080.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccruedLiabilitiesCurrent" xlink:to="icfi_AccruedContingentAndContractualLiabilitiesCurrentFromAcquisitions" order="10090.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccruedLiabilitiesCurrent" xlink:to="icfi_InterestRateSwapLiabilityCurrent" order="10100.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccruedLiabilitiesCurrent" xlink:to="icfi_ForwardContractAgreementsLiabilityCurrent" order="10110.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_AccruedLiabilitiesCurrent" xlink:to="us-gaap_OtherAccruedLiabilitiesCurrent" order="10120.00" priority="2" use="optional" weight="1.00" />
  </link:calculationLink>
  <link:roleRef roleURI="http://www.icf.com/20220630/taxonomy/role/DisclosureLongTermDebtScheduleOfLongTermDebtDetails" xlink:href="icfi-20220630.xsd#Role_DisclosureLongTermDebtScheduleOfLongTermDebtDetails" xlink:type="simple" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.icf.com/20220630/taxonomy/role/DisclosureLongTermDebtScheduleOfLongTermDebtDetails">
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DebtInstrumentUnamortizedDiscountPremiumAndDebtIssuanceCostsNet" xlink:type="locator" xlink:label="us-gaap_DebtInstrumentUnamortizedDiscountPremiumAndDebtIssuanceCostsNet" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DebtInstrumentCarryingAmount" xlink:type="locator" xlink:label="us-gaap_DebtInstrumentCarryingAmount" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LongTermDebt" xlink:type="locator" xlink:label="us-gaap_LongTermDebt" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LongTermDebt" xlink:to="us-gaap_DebtInstrumentCarryingAmount" order="10170.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LongTermDebt" xlink:to="us-gaap_DebtInstrumentUnamortizedDiscountPremiumAndDebtIssuanceCostsNet" order="10180.00" priority="2" use="optional" weight="-1.00" />
  </link:calculationLink>
  <link:roleRef roleURI="http://www.icf.com/20220630/taxonomy/role/DisclosureLongTermDebtScheduleOfLongTermDebtDetails2" xlink:href="icfi-20220630.xsd#Role_DisclosureLongTermDebtScheduleOfLongTermDebtDetails2" xlink:type="simple" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.icf.com/20220630/taxonomy/role/DisclosureLongTermDebtScheduleOfLongTermDebtDetails2">
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LongTermDebtNoncurrent" xlink:type="locator" xlink:label="us-gaap_LongTermDebtNoncurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LongTermDebtCurrent" xlink:type="locator" xlink:label="us-gaap_LongTermDebtCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LongTermDebt" xlink:type="locator" xlink:label="us-gaap_LongTermDebt" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LongTermDebt" xlink:to="us-gaap_LongTermDebtCurrent" order="10010.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_LongTermDebt" xlink:to="us-gaap_LongTermDebtNoncurrent" order="10020.00" priority="2" use="optional" weight="1.00" />
  </link:calculationLink>
  <link:roleRef roleURI="http://www.icf.com/20220630/taxonomy/role/DisclosureLongTermDebtScheduleOfFutureScheduledRepaymentsOfTermLoanPrincipalDetails" xlink:href="icfi-20220630.xsd#Role_DisclosureLongTermDebtScheduleOfFutureScheduledRepaymentsOfTermLoanPrincipalDetails" xlink:type="simple" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.icf.com/20220630/taxonomy/role/DisclosureLongTermDebtScheduleOfFutureScheduledRepaymentsOfTermLoanPrincipalDetails">
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LongTermDebtMaturitiesRepaymentsOfPrincipalInRollingYearFive" xlink:type="locator" xlink:label="us-gaap_LongTermDebtMaturitiesRepaymentsOfPrincipalInRollingYearFive" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LongTermDebtMaturitiesRepaymentsOfPrincipalInRollingYearFour" xlink:type="locator" xlink:label="us-gaap_LongTermDebtMaturitiesRepaymentsOfPrincipalInRollingYearFour" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LongTermDebtMaturitiesRepaymentsOfPrincipalInRollingYearThree" xlink:type="locator" xlink:label="us-gaap_LongTermDebtMaturitiesRepaymentsOfPrincipalInRollingYearThree" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LongTermDebtMaturitiesRepaymentsOfPrincipalInRollingYearTwo" xlink:type="locator" xlink:label="us-gaap_LongTermDebtMaturitiesRepaymentsOfPrincipalInRollingYearTwo" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_LongTermDebtMaturitiesRepaymentsOfPrincipalInNextRollingTwelveMonths" xlink:type="locator" xlink:label="us-gaap_LongTermDebtMaturitiesRepaymentsOfPrincipalInNextRollingTwelveMonths" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_DebtInstrumentCarryingAmount" xlink:type="locator" xlink:label="us-gaap_DebtInstrumentCarryingAmount" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_DebtInstrumentCarryingAmount" xlink:to="us-gaap_LongTermDebtMaturitiesRepaymentsOfPrincipalInNextRollingTwelveMonths" order="10010.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_DebtInstrumentCarryingAmount" xlink:to="us-gaap_LongTermDebtMaturitiesRepaymentsOfPrincipalInRollingYearTwo" order="10020.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_DebtInstrumentCarryingAmount" xlink:to="us-gaap_LongTermDebtMaturitiesRepaymentsOfPrincipalInRollingYearThree" order="10030.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_DebtInstrumentCarryingAmount" xlink:to="us-gaap_LongTermDebtMaturitiesRepaymentsOfPrincipalInRollingYearFour" order="10040.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_DebtInstrumentCarryingAmount" xlink:to="us-gaap_LongTermDebtMaturitiesRepaymentsOfPrincipalInRollingYearFive" order="10050.00" priority="2" use="optional" weight="1.00" />
  </link:calculationLink>
  <link:roleRef roleURI="http://www.icf.com/20220630/taxonomy/role/DisclosureRevenueRecognitionScheduleOfChangesInContractBalancesDueToAdoptionOfNewAccountingStandardsDetail" xlink:href="icfi-20220630.xsd#Role_DisclosureRevenueRecognitionScheduleOfChangesInContractBalancesDueToAdoptionOfNewAccountingStandardsDetail" xlink:type="simple" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.icf.com/20220630/taxonomy/role/DisclosureRevenueRecognitionScheduleOfChangesInContractBalancesDueToAdoptionOfNewAccountingStandardsDetail">
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ContractWithCustomerLiabilityCurrent" xlink:type="locator" xlink:label="us-gaap_ContractWithCustomerLiabilityCurrent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ContractWithCustomerAssetNetCurrent" xlink:type="locator" xlink:label="us-gaap_ContractWithCustomerAssetNetCurrent" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_ContractWithCustomerAssetsLiabilitiesNetCurrent" xlink:type="locator" xlink:label="icfi_ContractWithCustomerAssetsLiabilitiesNetCurrent" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_ChangeInContractWithCustomerLiabilityCurrent" xlink:type="locator" xlink:label="icfi_ChangeInContractWithCustomerLiabilityCurrent" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_ChangeInContractWithCustomerAssetNetCurrent" xlink:type="locator" xlink:label="icfi_ChangeInContractWithCustomerAssetNetCurrent" />
    <link:loc xlink:href="icfi-20220630.xsd#icfi_ChangeInContractWithCustomerAssetsLiabilitiesNetCurrent" xlink:type="locator" xlink:label="icfi_ChangeInContractWithCustomerAssetsLiabilitiesNetCurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="icfi_ChangeInContractWithCustomerAssetsLiabilitiesNetCurrent" xlink:to="icfi_ChangeInContractWithCustomerAssetNetCurrent" order="10010.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="icfi_ChangeInContractWithCustomerAssetsLiabilitiesNetCurrent" xlink:to="icfi_ChangeInContractWithCustomerLiabilityCurrent" order="10020.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="icfi_ContractWithCustomerAssetsLiabilitiesNetCurrent" xlink:to="us-gaap_ContractWithCustomerAssetNetCurrent" order="10030.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="icfi_ContractWithCustomerAssetsLiabilitiesNetCurrent" xlink:to="us-gaap_ContractWithCustomerLiabilityCurrent" order="10040.00" priority="2" use="optional" weight="-1.00" />
  </link:calculationLink>
  <link:roleRef roleURI="http://www.icf.com/20220630/taxonomy/role/DisclosureAccumulatedOtherComprehensiveLossComponentsOfAccumulatedOtherComprehensiveLossDetails" xlink:href="icfi-20220630.xsd#Role_DisclosureAccumulatedOtherComprehensiveLossComponentsOfAccumulatedOtherComprehensiveLossDetails" xlink:type="simple" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.icf.com/20220630/taxonomy/role/DisclosureAccumulatedOtherComprehensiveLossComponentsOfAccumulatedOtherComprehensiveLossDetails">
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherComprehensiveIncomeLossTaxPortionAttributableToParent1" xlink:type="locator" xlink:label="us-gaap_OtherComprehensiveIncomeLossTaxPortionAttributableToParent1" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_ReclassificationFromAociCurrentPeriodNetOfTaxAttributableToParent" xlink:type="locator" xlink:label="us-gaap_ReclassificationFromAociCurrentPeriodNetOfTaxAttributableToParent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OciBeforeReclassificationsNetOfTaxAttributableToParent" xlink:type="locator" xlink:label="us-gaap_OciBeforeReclassificationsNetOfTaxAttributableToParent" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" xlink:type="locator" xlink:label="us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" xlink:to="us-gaap_OciBeforeReclassificationsNetOfTaxAttributableToParent" order="10010.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" xlink:to="us-gaap_ReclassificationFromAociCurrentPeriodNetOfTaxAttributableToParent" order="10020.00" priority="2" use="optional" weight="-1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_OtherComprehensiveIncomeLossNetOfTaxPortionAttributableToParent" xlink:to="us-gaap_OtherComprehensiveIncomeLossTaxPortionAttributableToParent1" order="10030.00" priority="2" use="optional" weight="-1.00" />
  </link:calculationLink>
  <link:roleRef roleURI="http://www.icf.com/20220630/taxonomy/role/DisclosureEarningsPerShareScheduleOfDilutiveEffectOfStockOptionsRsusAndPsasDetails" xlink:href="icfi-20220630.xsd#Role_DisclosureEarningsPerShareScheduleOfDilutiveEffectOfStockOptionsRsusAndPsasDetails" xlink:type="simple" />
  <link:calculationLink xlink:type="extended" xlink:role="http://www.icf.com/20220630/taxonomy/role/DisclosureEarningsPerShareScheduleOfDilutiveEffectOfStockOptionsRsusAndPsasDetails">
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_IncrementalCommonSharesAttributableToShareBasedPaymentArrangements" xlink:type="locator" xlink:label="us-gaap_IncrementalCommonSharesAttributableToShareBasedPaymentArrangements" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_WeightedAverageNumberOfSharesOutstandingBasic" xlink:type="locator" xlink:label="us-gaap_WeightedAverageNumberOfSharesOutstandingBasic" />
    <link:loc xlink:href="https://xbrl.fasb.org/us-gaap/2022/elts/us-gaap-2022.xsd#us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding" xlink:type="locator" xlink:label="us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding" xlink:to="us-gaap_WeightedAverageNumberOfSharesOutstandingBasic" order="10010.00" priority="2" use="optional" weight="1.00" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="us-gaap_WeightedAverageNumberOfDilutedSharesOutstanding" xlink:to="us-gaap_IncrementalCommonSharesAttributableToShareBasedPaymentArrangements" order="10020.00" priority="2" use="optional" weight="1.00" />
  </link:calculationLink>
</link:linkbase>
